al_create_thread(3)

NAME

al_create_thread - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_THREAD *al_create_thread(
       void *(*proc)(ALLEGRO_THREAD *thread, void *arg), void *arg)

DESCRIPTION

Spawn a new thread which begins executing proc. The new thread is passed its own thread handle and the value arg.

Returns a pointer to the thread on success. Otherwise, returns NULL if there was an error.

SEE ALSO

al_start_thread(3), al_join_thread(3).